<?xml version="1.0"?>
<!-- This file is autogenerated; comments and unknown tags will be stripped -->
<mameconfig version="10">
    <system name="wwfmania">
        <video>
            <screen index="0" hstretch="0.996000" />
        </video>
        <input>
            <port type="P1_JOYSTICK_UP" mask="1" index="1" defvalue="1">
                <newseq type="standard">
                    KEYCODE_W
                </newseq>
            </port>
            <port type="P1_JOYSTICK_DOWN" mask="2" index="2" defvalue="2">
                <newseq type="standard">
                    KEYCODE_S
                </newseq>
            </port>
            <port type="P1_JOYSTICK_LEFT" mask="4" index="3" defvalue="4">
                <newseq type="standard">
                    KEYCODE_A
                </newseq>
            </port>
            <port type="P1_JOYSTICK_RIGHT" mask="8" index="4" defvalue="8">
                <newseq type="standard">
                    KEYCODE_D
                </newseq>
            </port>
            <port type="P1_BUTTON1" mask="16" index="5" defvalue="16">
                <newseq type="standard">
                    KEYCODE_7PAD
                </newseq>
            </port>
            <port type="P1_BUTTON2" mask="32" index="6" defvalue="32">
                <newseq type="standard">
                    KEYCODE_9PAD
                </newseq>
            </port>
            <port type="P1_BUTTON3" mask="64" index="7" defvalue="64">
                <newseq type="standard">
                    KEYCODE_8PAD
                </newseq>
            </port>
            <port type="P2_JOYSTICK_UP" mask="256" index="9" defvalue="256">
                <newseq type="standard">
                    KEYCODE_UP
                </newseq>
            </port>
            <port type="P2_JOYSTICK_DOWN" mask="512" index="10" defvalue="512">
                <newseq type="standard">
                    KEYCODE_DOWN
                </newseq>
            </port>
            <port type="P2_JOYSTICK_LEFT" mask="1024" index="11" defvalue="1024">
                <newseq type="standard">
                    KEYCODE_LEFT
                </newseq>
            </port>
            <port type="P2_JOYSTICK_RIGHT" mask="2048" index="12" defvalue="2048">
                <newseq type="standard">
                    KEYCODE_RIGHT
                </newseq>
            </port>
            <port type="P2_BUTTON1" mask="4096" index="13" defvalue="4096">
                <newseq type="standard">
                    KEYCODE_1
                </newseq>
            </port>
            <port type="P2_BUTTON2" mask="8192" index="14" defvalue="8192">
                <newseq type="standard">
                    KEYCODE_2
                </newseq>
            </port>
            <port type="P2_BUTTON3" mask="16384" index="15" defvalue="16384">
                <newseq type="standard">
                    KEYCODE_3
                </newseq>
            </port>
            <port type="P1_BUTTON4" mask="1" index="18" defvalue="1">
                <newseq type="standard">
                    KEYCODE_4PAD
                </newseq>
            </port>
            <port type="P1_BUTTON5" mask="2" index="19" defvalue="2">
                <newseq type="standard">
                    KEYCODE_5PAD
                </newseq>
            </port>
            <port type="P2_BUTTON4" mask="16" index="21" defvalue="16">
                <newseq type="standard">
                    KEYCODE_4
                </newseq>
            </port>
            <port type="P2_BUTTON5" mask="32" index="22" defvalue="32">
                <newseq type="standard">
                    KEYCODE_5
                </newseq>
            </port>
            <port type="START1" mask="4" index="62" defvalue="4">
                <newseq type="standard">
                    KEYCODE_ENTER
                </newseq>
            </port>
            <port type="START2" mask="32" index="65" defvalue="32">
                <newseq type="standard">
                    KEYCODE_N
                </newseq>
            </port>
        </input>
        <mixer>
            <channel index="0" defvol="1.000000" newvol="2.000000" />
            <volume_multiplier final="256" final_max="256" mixer="128" mixer_max="128" />
        </mixer>
    </system>
</mameconfig>
